chiark / gitweb /
run-tests: fix quoting to prevent spurious execution of `fdroid update`
authorHans-Christoph Steiner <hans@eds.org>
Wed, 5 Aug 2015 11:26:35 +0000 (13:26 +0200)
committerHans-Christoph Steiner <hans@eds.org>
Wed, 5 Aug 2015 11:36:21 +0000 (13:36 +0200)
tests/run-tests

index b8f557633620062395109a5128d9322b566b37c4..2dcc8f44c0aa070bbffabaa752b04810744f836e 100755 (executable)
@@ -316,7 +316,7 @@ if [ $? -eq 0 ]; then
     echo "This should have failed because this repo has no keystore!"
     exit 1
 else
-    echo "`fdroid update` prompted to add keystore"
+    echo '`fdroid update` prompted to add keystore'
 fi
 set -e
 $fdroid update --create-key
@@ -378,7 +378,7 @@ if [ $? -eq 0 ]; then
     echo "This should have failed because this repo has no keystore!"
     exit 1
 else
-    echo "`fdroid update` prompted to add keystore"
+    echo '`fdroid update` prompted to add keystore'
 fi
 set -e
 
@@ -394,7 +394,7 @@ if [ $? -eq 0 ]; then
     echo "This should have failed because this repo has a bad/fake keystore!"
     exit 1
 else
-    echo "`fdroid update` prompted to add keystore"
+    echo '`fdroid update` prompted to add keystore'
 fi
 set -e
 
@@ -422,7 +422,7 @@ if [ $? -eq 0 ]; then
     echo "This should have failed because this repo has a bad repo_keyalias!"
     exit 1
 else
-    echo "`fdroid update` prompted to add keystore"
+    echo '`fdroid update` prompted to add keystore'
 fi
 set -e
 
@@ -434,7 +434,7 @@ if [ $? -eq 0 ]; then
     echo "This should have failed because a keystore is already there!"
     exit 1
 else
-    echo "`fdroid update` complained about existing keystore"
+    echo '`fdroid update` complained about existing keystore'
 fi
 set -e